package com.uavps.system.udp.vo;

import java.util.List;

/**
 * @Author MBQ
 * @Date: 2025/1/15
 * @Description:
 * @Version: 1.0
 **/
public class PlatformAircraft {
    private float coordinateX;
    private float coordinateY;
    private float coordinateZ;
    private float velocityX;
    private float velocityY;
    private float velocityZ;
    private float velocity;
    private float aircraftPoseX;
    private float aircraftPoseY;
    private float aircraftPoseZ;
    private String targetAircraftNumber;

    private List<FlightPath> flightpath;

    public float getCoordinateX() {
        return coordinateX;
    }

    public void setCoordinateX(float coordinateX) {
        this.coordinateX = coordinateX;
    }

    public float getCoordinateY() {
        return coordinateY;
    }

    public void setCoordinateY(float coordinateY) {
        this.coordinateY = coordinateY;
    }

    public float getCoordinateZ() {
        return coordinateZ;
    }

    public void setCoordinateZ(float coordinateZ) {
        this.coordinateZ = coordinateZ;
    }

    public float getVelocityX() {
        return velocityX;
    }

    public void setVelocityX(float velocityX) {
        this.velocityX = velocityX;
    }

    public float getVelocityY() {
        return velocityY;
    }

    public void setVelocityY(float velocityY) {
        this.velocityY = velocityY;
    }

    public float getVelocityZ() {
        return velocityZ;
    }

    public void setVelocityZ(float velocityZ) {
        this.velocityZ = velocityZ;
    }

    public float getVelocity() {
        return velocity;
    }

    public void setVelocity(float velocity) {
        this.velocity = velocity;
    }

    public float getAircraftPoseX() {
        return aircraftPoseX;
    }

    public void setAircraftPoseX(float aircraftPoseX) {
        this.aircraftPoseX = aircraftPoseX;
    }

    public float getAircraftPoseY() {
        return aircraftPoseY;
    }

    public void setAircraftPoseY(float aircraftPoseY) {
        this.aircraftPoseY = aircraftPoseY;
    }

    public float getAircraftPoseZ() {
        return aircraftPoseZ;
    }

    public void setAircraftPoseZ(float aircraftPoseZ) {
        this.aircraftPoseZ = aircraftPoseZ;
    }

    public String getTargetAircraftNumber() {
        return targetAircraftNumber;
    }

    public void setTargetAircraftNumber(String targetAircraftNumber) {
        this.targetAircraftNumber = targetAircraftNumber;
    }

    public List<FlightPath> getFlightpath() {
        return flightpath;
    }

    public void setFlightpath(List<FlightPath> flightpath) {
        this.flightpath = flightpath;
    }
}
